# endpoint (Identity v2)

## endpoint create

Create new endpoint

    openstack endpoint create
        --publicurl <url>
        [--adminurl <url>]
        [--internalurl <url>]
        [--region <region-id>]
        <service>

--publicurl <url>

  New endpoint public URL (required)

--adminurl <url>

  New endpoint admin URL

--internalurl <url>

  New endpoint internal URL

--region <region-id>

  New endpoint region ID

service

  Service to be associated with new endpoint (name or ID)

## endpoint delete

Delete endpoint(s)

    openstack endpoint delete <endpoint-id> [<endpoint-id> ...]

endpoint-id

  Endpoint(s) to delete (ID only)

## endpoint list

List endpoints

    openstack endpoint list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

## endpoint show

Display endpoint details

    openstack endpoint show <endpoint>

endpoint

  Endpoint to display (endpoint ID, service ID, service name, service type)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.